# ====================================================================
# 2C16 Exercice 49 page 325                             INTERMEDIAIRE
# a. Compléter les lignes 9 à 19 et 38 à 40
# b. Oter les guillemets lignes 20 et 37. Compléter les lignes 21 à 36.
# ====================================================================
import numpy as np                        
from matplotlib import pyplot as plt      

# Définition de 2 listes pour les 2 variables I et U
I=[.......................................] # I en mA
U=[.......................................] # U en V

#-----Affichage des points de coordonnées (I,U): U=f(I)                 
plt.figure('Etude d\'un dipole') # Initialisation de la figure
plt.title('......')              # Titre du graphe
plt.xlabel('.....')              # Légende axe I
plt.ylabel('.....')              # Légende axe U
plt.axis([...,...,...,...])      # Minimum et maximum des axes
plt.plot(...,...,...,ms=...,label='.....') # Trace le nuage de points
"""
# Modélisation du nuage de points par la fonction np.polyfit(X,Y,1)
# Calcule les coefficients a et b de la fonction d'équation y = a*x+b
# modélisant le nuage de pts et les range dans le tableau nommé Modele
...... = np.polyfit(... , ... , ...)

# Affecte les coefficients du modèle aux variables a et b               
a,b = [coef for coef in ......]
             
# Liste des ordonnées de la modélisation
U_mod = [a*...  for i in I] 

# Trace les points de coordonnées I et U_mod en bleu et reliés              
plt.plot(... , ... , ... ,label='U=f(I) modélisé')  

print('Expression du modèle') 
print('U(...) =',round(...,4),'......')# Affiche l’équation du modèle    
"""
............                  # Affiche une grille
............                  # Affiche la légende
............                  # Affiche la figure

